Logo
OpenScaler

Get backup

GET
/v1/backups/{backup_id}

Retrieve backup details by ID.

Authorization

bearer_auth
AuthorizationBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Path Parameters

backup_id*string

A unique identifier for a backup.

Formatuuid

Response Body

application/json

application/json

text/pain

application/json

application/json

curl -X GET "https://example.com/v1/backups/6ba7b810-9dad-11d1-80b4-00c04fd430c8"
{  "id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",  "name": "backup-of-my-vm",  "user_id": "user-abc123",  "project_id": "default",  "created_at": "2024-11-15T10:30:00Z",  "backup_type": "full",  "status": "complete",  "size": 12.5,  "region": "alg1",  "target_type": "vm",  "target_id": "cc3ccab2-0ae2-11ef-9136-6a0922f6458b"}
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n"    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}